Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class MapData

    java.lang.Object
      net.minecraft.src.WorldSavedData
          net.minecraft.src.MapData

    public class MapData

extends WorldSavedData

Field Summary
`byte[]` | `colors` colours
`int` | `dimension`
`List` | `playersArrayList` Holds a reference to the MapInfo of the players who own a copy of the map
`List` | `playersVisibleOnMap`
`int` | `randomEffect` Incremented each update of the map item, used for the patchy updating map effect and the spinning player icons while in the End and Nether.
`byte` | `scale`
`int` | `xCenter`
`int` | `zCenter`

Fields inherited from class net.minecraft.src.WorldSavedData
`mapName`

Constructor Summary
`MapData(String par1Str)`

Method Summary
`byte[]` | `func_76193_a(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)`
`void` | `func_76194_a(int par1, int par2, int par3)`
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` reads in data from the NBTTagCompound into this MapDataBase
`void` | `updateMPMapData(byte[] par1ArrayOfByte)`
`void` | `updateVisiblePlayers(EntityPlayer par1EntityPlayer, ItemStack par2ItemStack)` Adds the player passed to the list of visible players and checks to see which players are visible
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

Methods inherited from class net.minecraft.src.WorldSavedData
`isDirty, markDirty, setDirty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xCenter

    public int xCenter

### zCenter

    public int zCenter

### dimension

    public int dimension

### scale

    public byte scale

### colors

    public byte[] colors

  colours

### randomEffect

    public int randomEffect

  Incremented each update of the map item, used for the patchy updating map effect and the spinning player icons while in the End and Nether.

### playersArrayList

    public List playersArrayList

  Holds a reference to the MapInfo of the players who own a copy of the map

### playersVisibleOnMap

    public List playersVisibleOnMap

Constructor Detail

### MapData

    public MapData(String par1Str)

Method Detail

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  reads in data from the NBTTagCompound into this MapDataBase

  Specified by:
    `readFromNBT` in class `WorldSavedData`

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

  Specified by:
    `writeToNBT` in class `WorldSavedData`

### updateVisiblePlayers

    public void updateVisiblePlayers(EntityPlayer par1EntityPlayer,
                                     ItemStack par2ItemStack)

  Adds the player passed to the list of visible players and checks to see which players are visible

### func_76193_a

    public byte[] func_76193_a(ItemStack par1ItemStack,
                               World par2World,
                               EntityPlayer par3EntityPlayer)

### func_76194_a

    public void func_76194_a(int par1,
                             int par2,
                             int par3)

### updateMPMapData

    public void updateMPMapData(byte[] par1ArrayOfByte)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD